# $Revision: 1.20 $, $Date: 2002/10/28 14:24:23 $
Summary:	LANChat - network-chatting program
Summary(pl):	LANChat - program do sieciowych pogaduszek
Name:		LANChat
Version:	1.0.2
Release:	4
License:	GPL
Group:		Applications/Networking
Source0:	http://priv4.onet.pl./ki/lanchat/%{name}-%{version}.tar.gz
Patch0:		%{name}-ac_am.patch
Patch1:		%{name}-wincrash.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	ncurses-devel >= 5.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LANChat a network-chatting program. It allows you to chat with your
friends over a TCP/IP based Local Area Network. It doesn't need any
type of server to run. All users are equal. LANChat is a not
client-server application. All your machines act like independent
servers. To communicate LANChat uses broadcast UDP messages so they
don't travel over the Internet (only to the closest router). LANChat
need C-class addressing type (theoretically max 254 users). By using
LANChat you can talk with windows and Linux users in your local area
network. You can use LANChat over networks connected by the BRIDGE.

%description -l pl
LANChat jest programem do sieciowych pogaduszek. Pozwala na
rozmawianie ze swoimi znajomymi w sieciach lokalnych opartych na
TCP/IP. Nie potrzebuje adnego servera do dziaania i kady uytkownik
jest rwny. Nie jest to aplikacja typu klient-server, wic kada
maszyna jest jak niezaleny server. LANChat do komunikacji uywa
broadcastw UDP, wic nie s one wysyane do internetu, a tylko do
najbliszego routera. LANChat potrzebuje klasy adresowej C
(teoretycznie max 254 uytkownikw). Uywajc LANChata moesz
rozmawia w swojej sieci lokalnej zarwno z uytkownikami Windows jak
i Linuksa. Moesz te korzysta z LANChata w sieciach poczonych
BRIDGE'ami.

%prep
%setup -q 
%patch0 -p1
%patch1 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
CFLAGS="%{rpmcflags} -I/usr/include/ncurses"
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README ROUTING BUGS TODO lanchat.lsm
%attr(755,root,root) %{_bindir}/LANChat

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl
$Log: LANChat.spec,v $
Revision 1.20  2002/10/28 14:24:23  kloczek
- use new %doc.

Revision 1.19  2002/10/09 13:14:14  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.18  2002/06/27 18:26:28  zytek
- added LANChat-wincrash.patch
- now lanchat DOES NOT CRASH windows lanchat clients!
- STBR

Revision 1.17  2002/06/23 20:32:19  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.16  2002/05/21 23:12:36  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.15  2002/03/24 23:28:12  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.14  2002/03/01 18:05:00  kloczek
- added "rm -f missing" on top %build.

Revision 1.13  2002/03/01 14:40:59  marcus
- rel.3.

Revision 1.12  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:12:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/10/29 15:34:23  qboosh
- typos, cosmetics

Revision 1.9  2001/04/27 20:16:57  kloczek
- release 2,
- spec adapterized and added using %%{rpmcflags} macro.

Revision 1.8  2001/04/25 15:42:41  blues
- polish description added

Revision 1.7  2001/01/25 20:03:19  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.6  2000/12/23 00:48:42  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.5  2000/09/12 22:19:00  klakier
- added cvs Log to %%changelog
